<!DOCTYPE html>
<html>
  <head>
    <title>Gender API</title>
  </head>

  <body>

    <form action="" method="get">
      <input type="text" value="Michael" id="input_field" />
      <input type="button" value="Senden" id="send_button" />
      <input type="reset" id="reset_button" />
    </form>
    
    <table>
      <thead>
        <tr><th>Name</th><th>Geschlecht</th><th>Wahrscheinlichkeit</th></tr>
      </thead>
      <tbody id="table_body">

      </tbody>
    </table>

  </body>

  <script>

      document.getElementById('send_button').addEventListener('click', function(event){
        fetch("https://api.genderize.io/?name="+ document.getElementById('input_field').value )
        .then(response => response.json())
        .then(json => {
          
          var table_row = document.createElement('tr');
          var data_name = document.createElement('td');
          data_name.innerHTML = json.name;
          var data_gender = document.createElement('td');
          data_gender.innerHTML = json.gender;
          var data_probability = document.createElement('td');
          data_probability.innerHTML = json.probability;

          table_row.appendChild(data_name);
          table_row.appendChild(data_gender);
          table_row.appendChild(data_probability);

          document.getElementById('table_body').appendChild(table_row);

        });
      });

      document.getElementById('reset_button').addEventListener('click', function(event){
       document.getElementById('table_body').innerHTML = "";
      });


  </script>

</html>